Package ghidra.app.decompiler.component

# Class ClangTextField

java.lang.Object
docking.widgets.fieldpanel.field.VerticalLayoutTextField
docking.widgets.fieldpanel.field.WrappingVerticalLayoutTextField
ghidra.app.decompiler.component.ClangTextField

All Implemented Interfaces:
  `Field`, `TextField`

public class ClangTextField extends WrappingVerticalLayoutTextField

- ## Field Summary

  ### Fields inherited from class docking.widgets.fieldpanel.field.VerticalLayoutTextField

  `hlFactory, isClipped, preferredWidth, startX, subFields, width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClangTextField(List<ClangToken> tokenList, FieldElement[] fieldElements, int x, int lineNumber, int width, FieldHighlightFactory hlFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClangToken`
  `getFirstToken()`
  `ClangToken`
  `getLastToken()`
  `int`
  `getLineNumber()`
  `ClangToken`
  `getToken(FieldLocation loc)`
  Gets the C language token at the indicated location.

  ### Methods inherited from class docking.widgets.fieldpanel.field.WrappingVerticalLayoutTextField

  `dataToScreenLocation`

  ### Methods inherited from class docking.widgets.fieldpanel.field.VerticalLayoutTextField

  `calculateHeight, contains, createFieldForLine, getCol, getCursorBounds, getFieldElement, getHeight, getHeightAbove, getHeightBelow, getLines, getNumCols, getNumDataRows, getNumRows, getPreferredWidth, getRow, getScrollableUnitIncrement, getStartX, getText, getTextWithLineSeparators, getWidth, getX, getY, isClipped, isPrimary, isValid, layoutElements, paint, rowHeightChanged, screenLocationToTextOffset, screenToDataLocation, setPrimary, textOffsetToScreenLocation, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClangTextField

    public ClangTextField(List<ClangToken> tokenList, FieldElement[] fieldElements, int x, int lineNumber, int width, FieldHighlightFactory hlFactory)

- ## Method Details

  - ### getToken

    public ClangToken getToken(FieldLocation loc)
    Gets the C language token at the indicated location.
    Parameters:
      `loc` - the field location
    Returns:
      the token

  - ### getLineNumber

    public int getLineNumber()

  - ### getFirstToken

    public ClangToken getFirstToken()

  - ### getLastToken

    public ClangToken getLastToken()